πͺπ¨ μμ½°λλ₯΄ β μ°¨λ λ²κΈ
λ²νΈνμ μ°κ²°λ μμ½°λλ₯΄ μ°¨λμ λ±λ‘ μ 보(λ²νΈν, λ±κΈ, λͺ¨λΈ λ±), νμ¬ μν, μλΉμ€ μ ν, λ±λ‘ λ§λ£μΌ, λ―Έλ© λ²κΈ λ±μ μ‘°νν©λλ€.
κ΅ν΅λ²κ· μ€μ λ° μ°¨λ κ΄λ¦¬μ νμ©ν μ μμ΅λλ€.
μλν¬μΈνΈβ
GET https://api.verifik.co/v2/ec/vehiculo/placa/multas
plate(λ²νΈν)λ‘ μ‘°νν©λλ€. λ±λ‘ μ 보μ λ―Έλ© λ²κΈμ λ°ννμ¬ μ»΄νλΌμ΄μΈμ€, μ°¨λ κ΄λ¦¬, 리μ€ν¬ νμΈμ νμ©ν μ μμ΅λλ€.
ν€λβ
| μ΄λ¦ | κ° |
|---|---|
| Content-Type | application/json |
| Authorization | Bearer <token> |
λ§€κ°λ³μβ
| μ΄λ¦ | νμ | νμ | μ€λͺ | μ |
|---|---|---|---|---|
plate | string | μ | μ‘°νν λ²νΈν(곡백·λ§μΉ¨ν μμ). | ABC1234 |
μμ²β
- JavaScript
- Python
- PHP
- Swift
import axios from 'axios';
const options = {
method: 'GET',
url: 'https://api.verifik.co/v2/ec/vehiculo/placa/multas',
params: {
plate: 'ABC1234'
},
headers: {
'Accept': 'application/json',
'Authorization': 'Bearer <tu_token>'
}
};
try {
const { data } = await axios.request(options);
console.log(data);
} catch (error) {
console.error(error);
}
import http.client
conn = http.client.HTTPSConnection("api.verifik.co")
payload = ''
headers = {}
conn.request("GET", "/v2/ec/vehiculo/placa/multas?plate=ABC1234", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
<?php
require_once 'HTTP/Request2.php';
$request = new HTTP_Request2();
$request->setUrl('https://api.verifik.co/v2/ec/vehiculo/placa/multas?plate=ABC1234');
$request->setMethod(HTTP_Request2::METHOD_GET);
$request->setConfig(array(
'follow_redirects' => TRUE
));
try {
$response = $request->send();
if ($response->getStatus() == 200) {
echo $response->getBody();
}
else {
echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
$response->getReasonPhrase();
}
}
catch(HTTP_Request2_Exception $e) {
echo 'Error: ' . $e->getMessage();
}
?>
var request = URLRequest(url: URL(string: "https://api.verifik.co/v2/ec/vehiculo/placa/multas?plate=ABC1234")!,timeoutInterval: Double.infinity)
request.httpMethod = "GET"
let task = URLSession.shared.dataTask(with: request) { data, response, error in
guard let data = data else {
print(String(describing: error))
return
}
print(String(data: data, encoding: .utf8)!)
}
task.resume()
μλ΅β
- 200
- 404
- 409
{
"data": {
"camvCpn": "T00950479",
"class": "AUTOMOVIL",
"cylinderCapacity": "1600",
"information": null,
"lastCheckUpDate": "2023/08/31",
"lastPaymentYear": "2023",
"lastRegistrationDate": "2019/03/21",
"manufactureCountry": "MEXICO",
"model": "SENTRA 1.6 M/T",
"plate": "ABC1234",
"purchaseDate": "2010/06/09",
"reasonMessage": null,
"registrationCanton": "IBARRA",
"registrationExpirationDate": "2024/03/19",
"remission": null,
"service": "PARTICULAR",
"status": "ASIGNADO",
"total": "76.72",
"usageType": "NO APLICA",
"year": "2010",
"multas": [
{
"id": "1",
"infraccion": "92507343",
"entidad": "MNO-MANCOMUNIDAD DEL NORTE",
"citacion": "N-ACT0349-00184",
"placa": "ABC1234",
"documento": "VEH - 1801442417",
"fechaDeEmision": "2024-03-11 09:43:26.0",
"fechaNotificacion": "2024-03-11 09:43:26.0",
"fechaLimiteDePago": "21-03-2024 09:43:26",
"puntos": "0",
"pag": "N",
"anu": "N",
"imp": "N",
"sancion": "46",
"multa": "0",
"remision": "0",
"totalAPagar": "23",
"articuloliteral": "Art. 391 - Lit. 05. COND. ESTACIONE EN SITIOS PROHIBIDOS POR LA LEY Y REGLAM",
"tamanoImagen": "0",
"bloqueo": "N"
}
]
},
"signature": {
"dateTime": "March 12, 2024 7:50 PM",
"message": "Certified by Verifik.co"
},
"id": "OB2YV"
}
{
"code": "NotFound",
"message": "Record not found."
}
{
"code": "MissingParameter",
"message": "missing plate\n"
}
κΈ°λ₯β
- λ²κΈ μ 보: λ²νΈνμ μ°κ²°λ λ²κΈ λͺ©λ‘ λ° μμΈ
- λ±λ‘ μ 보: λ±κΈ, λͺ¨λΈ, μν, λ§λ£μΌ λ±
- μ°¨λ μ¬μ: λ°°κΈ°λ, μ μ‘°κ΅, μ°μ λ±(μΆμ²κ° λ°ννλ λ²μ)
- μ»΄νλΌμ΄μΈμ€: κ΅ν΅λ²κ· κΈ°λ° λͺ¨λν°λ§
- λ€κ΅μ΄ μν: JavaScript, Python, PHP, Swift